﻿/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

using System;
using Tizen.Xamarin.Forms.Extension;

namespace TVMediaHub.Tizen.DataModels
{
    /// <summary>
    /// A custom EventArgs for context popup
    /// </summary>
    public class ContextPopupSelectedEventArgs : EventArgs
    {
        /// <summary>
        /// Gets selected item's index of context popup
        /// </summary>
        public int Index { get; }

        /// <summary>
        /// Gets selected item of context popup
        /// </summary>
        public ContextPopupItem Item { get; }

        /// <summary>
        /// A Constructor
        /// </summary>
        /// <param name="index">A selected item's index of context popup</param>
        /// <param name="item">A selected item of context popup</param>
        public ContextPopupSelectedEventArgs(int index, ContextPopupItem item)
        {
            Index = index;
            Item = item;
        }
    }
}
