﻿/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

namespace TVMediaHub.Tizen.DataModels
{
    /// <summary>
    /// A data model for Image Viewer with detail information
    /// </summary>
    public class ImageViewerInfomation
    {
        /// <summary>
        /// Gets or sets the title of selected image
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the file path of selected image
        /// </summary>
        public string FilePath { get; set; }

        /// <summary>
        /// Gets or sets the thumbnail path of selected image
        /// </summary>
        public string ThumbnailPath { get; set; }

        /// <summary>
        /// Gets or sets the date information of selected image
        /// </summary>
        public string Date { get; set; }

        /// <summary>
        /// Gets or sets the rotation value of selected image
        /// </summary>
        public double SavedRotation { get; set; }
    }
}
