﻿/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

using System.Collections.Generic;

namespace TVMediaHub.Tizen.Models
{
    /// <summary>
    /// A class for group item's data model
    /// </summary>
    public class GroupItem
    {
        /// <summary>
        /// Gets or sets the title of group
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the list of MediaShortcutInfo to display the group
        /// </summary>
        public ICollection<MediaShortcutInfo> Contents { get; set; }

        /// <summary>
        /// A constructor
        /// Initializes the list of MediaShortcutInfo
        /// </summary>
        public GroupItem()
        {
            Contents = new List<MediaShortcutInfo>();
        }
    }
}
