﻿/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

namespace TVMediaHub.Tizen.ViewModels
{
    /// <summary>
    /// A class to have static instance of VideoTabViewModel
    /// </summary>
    public static class ImageTabViewModelLocator
    {
        /// <summary>
        /// An instance of the ImageTabViewModel
        /// </summary>
        private static ImageTabViewModel _viewModel = new ImageTabViewModel();

        /// <summary>
        /// Gets the instance of the ImageTabViewModel
        /// </summary>
        public static ImageTabViewModel ViewModel
        {
            get
            {
                return _viewModel;
            }
        }
    }
}
